summaryrefslogtreecommitdiff
path: root/tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh')
-rwxr-xr-xtests/fsck-tests/021-partially-dropped-snapshot-case/test.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh b/tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh
new file mode 100755
index 00000000..eb8d8849
--- /dev/null
+++ b/tests/fsck-tests/021-partially-dropped-snapshot-case/test.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# confirm whether btrfsck supports to check a partially dropped snapshot
+
+source $TOP/tests/common
+
+check_prereq btrfs
+
+for img in *.img
+do
+ image=$(extract_image $img)
+ run_check_stdout $TOP/btrfs check "$image" 2>&1 |
+ grep -q "Errors found in extent allocation tree or chunk allocation"
+ if [ $? -eq 0 ]; then
+ rm -f "$image"
+ _fail "unexpected error occurred when checking $img"
+ fi
+ rm -f "$image"
+done